<?php
$title = 'Удаление изображения';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `products_reviews_images` WHERE `id`='".$_GET['id']."'");
if($query->num_rows == 0){
	header('location:/');
	// Картинки не существует
}
$image = $query->fetch_assoc();
$query = $db->query("SELECT * FROM `products_reviews` WHERE `id`='".$image['id_review']."'");
if($query->num_rows == 0){
	header('location:/');
	// Отзыва не существует
}
$review = $query->fetch_assoc();
if($user['admin'] < 1 && $user['id'] != $review['id_user']){
	header('location:/');
	// Нет прав на удаление картинки
}
$db->query("DELETE FROM `products_reviews_images` WHERE `id`='".$image['id']."'");
unlink($_SERVER["DOCUMENT_ROOT"].'/files/images/reviews/'.$image['image']);
header('location:/product/'.$review['id_product'].'/reviews/'.$review['id'].'/edit');
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>